Where have all the KDE desktop effects gone ?

Hi,

I have OpenSUSE Leap 15.3 installed on a sandbox PC. The NVidia video card is configured correctly using the proprietary drivers. I wanted to configure a handful of desktop effects like wobbly windows (as I have done before under Leap 15.0, 15.1 and 15.2). But most of the nice effects seem to have disappeared in the KDE Settings panel.

Any idea what’s going on here ?

I did some more experimenting. First of all, here’s my video card:

# lspci | grep -i vga 
01:00.0 **VGA** compatible controller: NVIDIA Corporation GF119 [GeForce GT 620 OEM] (rev a1)

The card is configured OK:

# grep -i nvidia /var/log/Xorg.0.log 
     8.419] (==) Matched **nvidia** as autoconfigured driver 0 
     8.419] (II) LoadModule: "**nvidia**" 
     8.420] (II) Loading /usr/lib64/xorg/modules/drivers/**nvidia**_drv.so 
     8.428] (II) Module **nvidia**: vendor="**NVIDIA** Corporation" 
     8.433] (II) **NVIDIA** dlloader X Driver  460.80  Fri May  7 06:53:15 UTC 2021 
     8.433] (II) **NVIDIA** Unified Driver for all Supported **NVIDIA** GPUs 
     8.433] (II) NOUVEAU driver for **NVIDIA** chipset families : 
     8.510] (WW) **NVIDIA**(0): The **NVIDIA** GeForce GT 620 GPU installed in this system is 
     8.510] (WW) **NVIDIA**(0):     supported through the **NVIDIA** 390.xx Legacy drivers. Please 
     8.510] (WW) **NVIDIA**(0):     visit http://www.**nvidia**.com/object/unix.html for more 
     8.510] (WW) **NVIDIA**(0):     information.  The 460.80 **NVIDIA** driver will ignore this 
     8.510] (WW) **NVIDIA**(0):     GPU.  Continuing probe...  
     8.886] (II) config/udev: Adding input device HDA **NVidia** HDMI/DP,pcm=3 (/dev/input/event5)

But according to the KDE Settings panel, wobbly windows are “not supported” by my configuration. How comes? It’s a rather modest effect, and it’s worked perfectly under Leap 15.0 to 15.2.

I’m puzzled.

My bad. Wrong driver. Sorry.

Unfortunately the x11-video-nvidiaG05 driver was labelled “GeForce 600 and newer”, but this is wrong. The GeForce GT 620 card really requires the x11-video-nvidiaG04 driver package.

Problem solved.

Cheers.